MSSQL 2005 Express install gondok
2013-04-10T19:14:33+02:00
2013-04-12T13:52:47+02:00
2022-07-19T03:42:46+02:00
  • Szia!

    Köszi szépen, próbálkozunk... Hátha valamelyik javaslat bejön.
    Mutasd a teljes hozzászólást!
  • Szia !

    Régen telepítettem SQL 2005 Express-t, de emlékeim szerint az SP4-es pont azért lett kiadva mert az XP SP3-ban lévő MSXML6-ot nem tudta felültelepíteni a korábbi install. Az előző installok csak XP SP2-re mentek fel rendesen.

    SQL 2008 Express esetén választható hogy kinek a nevében fussanak az egyes komponensek. Tapasztalatom szerint a Database Engine : "SYSTEM"-ként kell hogy fusson, mert másképpen nem ment fel.

    2005 esetén nem emlékszem, de hátha meg lehet adni, hogy SYSTEM vagy LOCALSYSTEM ként legyen telepítve.

    2008 esetén meg ha másik gépről van elérve a szerver, akkor a megfelelő natív kliens telepítése indokolt.

    Remélem sikerül megfejteni a problémát.

    Üdv.
    DBT.

    Mutasd a teljes hozzászólást!
  • Szia mindkettőtöknek!

    Sajnos az a helyzet, hogy mivel nem saját cucc, nyilván nem dönthetem el, milyen backend-et használ. A különálló telepítést azért próbáltam, mert gondoltam, azt esetleg részletesebben be lehet állítani egyedi install esetén, mint a program saját telepítő csomagjában lévő silent install-os cuccot. Sajnos maga a program az SP4 verziót tartalmazza és azért is próbáltam külön telepíteni, mert gondoltam, ha már fent van prerequisit-ként, akkor saját maga nem fogja elkezdeni a silent installt. De külön sem ment fel sajna.

    Mint említettem, ugyanaz volt a helyzet SP3, illetve SP2 esetén is.

    Kukipapa: a linkelt témában említett megoldásokat már szintén próbáltam, elvileg processzor inkompatibilitás nem jöhetne szóba a gép típusa miatt, a domain-string pedig be volt állítva a TCP/IP beállításoknál, de sajna ugyanaz volt a helyzet.

    strasszer: köszi, még ez talán megér egy misét, megpróbálom. Csak azt nem értem, hogy a teljesen ugyanúgy konfigurált asztali gépemre szó nélkül ment fel...

    Nehéz ügy.

    Mindenesetre köszönöm mindkettőtöknek a segítséget, amint van eredmény, tudatom itt, okulásul a közösség számára.

    Üdv:
    Sanyi
    Mutasd a teljes hozzászólást!
  • Helló!

    XP SP2 már csaknem 3 éve nem támogatott, és az XP maga is már kevesebb, mint 1 évig lesz támogatva. Én ennél hosszabb távon egyáltalán nem terveznék vele.

    Elképzelhető, hogy pont az XP SP2 miatt nem tudod feltelepíteni. Mi az akadálya az SP3-nak?

    Egyébként itt egy topic hasonló hibáról.

    Ha mindenáron XP SP2 alá kéne, próbáld meg telepíteni az eredeti SP-k nélküli Express 2005-öt, ennek futnia kell XP SP2 alatt is. Azonban ezt legfeljebb tesztelésre vagy fejlesztésre ajánlanám.

    Szerk.: a doksi szerint mind az XP SP2, mind az SP3 támogatott, így nem ezen kéne múlnia, ennek ellenére én teljesen up-to-date rendszerrel próbálkoznék.
    Mutasd a teljes hozzászólást!
  • Run as administrator kell neked az Install inditásakor!

    Sztem a sima usernek nincs joga elinditani a service-t.
    Mutasd a teljes hozzászólást!
  • Ja és hogy miért 2005-ös MSSQL? Mert van egy program, a Generali Genius 3.0 nevű biztosítási alkuszprogram, ami kizárólag ezzel a verzióval megy, illetve a saját telepítő csomagja nem is megy fel, ha az előtelepítés nem zajlott le hibamentesen.

    Nem én használom, csak segítenem kellett volna egy ismerősömnek.
    Mutasd a teljes hozzászólást!
  • Sziasztok!

    MSSQL 2005 Express SP4-et kellett volna felraknom egy gépre (XP SP2), de az istennek sem akart felmenni. Két napig nézegettem a Microsoft tudásbázisait, de az ott leírtak egyike sem segített.

    Lényeg a következő:
    A telepítő eljut addig, hogy már a "Database services" részt telepíti és itt áll meg, amikor indítaná a szolgáltatást. Hiába csekkelem ki korábban, hogy nem kell elindítani a szolgáltatást a telepítés végén, mégis el akarja. Mivel nem sikerül, ezért visszapörgeti a teljes telepítést, csak az MSXML6, a VSS Writer, illetve a Setup Support Files maradnak fent a gépen, a többit leszedi.

    Hibaüzenet: 'The service failed to start', a kód 1067 a log alapján.

    Kipróbáltam mindent, amit az MS MVP-i javasoltak, de egyik sem segített.

    A teljesség igénye nélkül:
    - a "...NetworkService\Application Data\Microsoft\Protect" könyvtárra teljes hozzáférést adtam a NetworkService-nek
    - a telepítéskor átállítottam a rendszer területi beállításait angolra (US)
    - mivel azt is mondták, hogy SP3-ra nem megy fel, ezért csak SP2 volt a rendszeren (mondjuk a saját gépemre csont nélkül felment SP3-ra)
    - MSXML6 uninstall, hogy az se zavarja be a telepítőt
    - etc,etc.

    Ti találkoztatok valaha ilyen jellegű hibával? Mert a saját gépemre is tökéletsen felment egyébként ugyanaz a package.

    Még annyit, hogy erre a gépre (Asus FR5 laptop) az MSSQL2008 sem ment fel, más hibával ugyan, de az is elszállt.

    A Windows teljesen clean volt, csak egy .Net2 volt felrakva rá.

    Megmondom őszintén, tanácstalan vagyok teljesen.

    Előre is köszi minden segítséget.
    Mutasd a teljes hozzászólást!
abcd